import { ColumnConfig } from 'drizzle-orm';
import { ColumnBuilderConfig } from 'drizzle-orm/column-builder';
import { SQLiteColumn, SQLiteColumnBuilder } from './common';
export declare class SQLiteTextBuilder<TData extends string = string> extends SQLiteColumnBuilder<ColumnBuilderConfig<{
    data: TData;
    driverParam: string;
}>> {
}
export declare class SQLiteText<TTableName extends string, TData extends string> extends SQLiteColumn<ColumnConfig<{
    tableName: TTableName;
    data: TData;
    driverParam: string;
}>> {
    protected $sqliteColumnBrand: 'SQLiteText';
    getSQLType(): string;
}
export declare function text<T extends string = string>(name: string): SQLiteTextBuilder<T>;
